
#define WIN32_LEAN_AND_MEAN

#include <windows.h>
#include <winsock2.h>
#include <ws2tcpip.h>
#include <stdio.h>
#define SOCKETS_1_1 0x0101

int main()
{
    char hostname[255] = {0};

    WORD wVersionRequested;
    WSADATA wsaData;
    int err;

/* Use the MAKEWORD(lowbyte, highbyte) macro declared in Windef.h */
    wVersionRequested = SOCKETS_1_1;


			

    err = WSAStartup(wVersionRequested, &wsaData);
    if (err != 0) {
        /* Tell the user that we could not find a usable */
        /* Winsock DLL.                                  */
        printf("WSAStartup failed with error: %d\n", err);
        return 1;
    }


/* Confirm that the WinSock DLL supports 2.2./
   / Note that if the DLL supports versions greater    /
   / than 2.2 in addition to 2.2, it will still return /
   / 2.2 in wVersion since that is the version we      /
   / requested.                                        */


			

    if (wsaData.wVersion != wVersionRequested) {
        /* Tell the user that we could not find a usable */
        /* WinSock DLL.                                  */
        printf("Could not find a usable version of Winsock.dll\n");
    }
    else
        printf("The Winsock %d.%d dll was found okay\n", HIBYTE(wVersionRequested), LOBYTE(wVersionRequested));
    

/* The Winsock DLL is acceptable. Proceed to use it. */

/* Add network programming using Winsock here */

/* then call WSACleanup when done using the Winsock dll */


    if (0 == gethostname(hostname, sizeof(hostname))) {
        printf("hostname=\"%s\"\n", hostname);
    } else {
        printf("gethostname failed with status %d\n", WSAGetLastError());
    }

    WSACleanup();

    return 0;
}
